function P = plogncdf(X, alpha, nu, tau)

X(X<0) = 0;     % replace negative elements with zeros

arg1 = (log(X)-nu)./tau;
arg2 = (log(X) - nu - alpha.*tau.^2)./tau;
A = exp(alpha.*nu + 0.5*alpha.^2.*tau.^2);
P = normcdf(arg1) - X.^(-alpha).*A.*normcdf(arg2);

P(X==0) = 0;    % when X = 0, P = NaN but should be 0, so replace.

if nargout > 1
    D = alpha.*X.^(-alpha-1).*A.*normcdf(arg2); % equation (20)
    D(X==0) = 0;
end