function hout=commontitle(str)

% Fraction of the figure size devoted to subplots
%plotregion = .92;
plotregion = .93;


% Y position of title in normalized coordinates
titleypos  = .97;

% Fontsize for supertitle
%fs = get(gcf,'defaultaxesfontsize')+4;
fs = get(gcf,'defaultaxesfontsize')+2;

% Adjust y spacing between subplots
%fudge=1;
fudge=1.5;

haold = gca;
figunits = get(gcf,'units');

% Approximate difference between full height (plot + title + xlabel) and bound
if (~strcmp(figunits,'pixels')),
    set(gcf,'units','pixels');
    pos = get(gcf,'position');
    set(gcf,'units',figunits);
else,
    pos = get(gcf,'position');
end
% 5 = 3 characters of height below an axis + 2 above
% 1.27 = pixels per point
ff = (fs-4)*1.27*5/pos(4)*fudge;

% Bound for all the plots
%h = findobj('Type','axes');   
h = findobj(gcf,'Type','axes'); 
% Alternative older version
%ch = get(gcf,'children');
%h=[];
%for i=1:length(ch),
%  if strcmp(get(ch(i),'type'),'axes'),
%    h=[h,ch(i)];
%  end
%end

max_y=0;
min_y=1;

oldtitle =0;
for i=1:length(h),
	if (~strcmp(get(h(i),'Tag'),'suptitle')),
		pos=get(h(i),'pos');
		if (pos(2) < min_y), min_y=pos(2)-ff/5*3;end;
		if (pos(4)+pos(2) > max_y), max_y=pos(4)+pos(2)+ff/5*2;end;
	else,
		oldtitle = h(i);
	end
end

if max_y > plotregion,
	scale = (plotregion-min_y)/(max_y-min_y);
	for i=1:length(h),
		pos = get(h(i),'position');
		pos(2) = (pos(2)-min_y)*scale+min_y;
		pos(4) = pos(4)*scale-(1-scale)*ff/5*3;
		set(h(i),'position',pos);
	end
end

np = get(gcf,'nextplot');
set(gcf,'nextplot','add');
if (oldtitle),
	delete(oldtitle);
end
ha=axes('pos',[0 1 1 1],'visible','off','Tag','suptitle');
ht=text(.5,titleypos-1,str);set(ht,'horizontalalignment','center','fontsize',fs);
set(gcf,'nextplot',np);
axes(haold);
if nargout,
	hout=ht;
end



