 
% This file contains additional materials for 
% "Redistribution and Social Insurance".
% 
% This file constructs 2 sets of 3 histories
% from allocation .out files 
% and plots the distortions in the baseline case.
% 
% The allocation .out files are assumed to be 
% already in the same directory.
% 
% The .eps files are saved at the end 
% and existing files would be replaced.



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
close all;

% histories
history0  = 'ceslog';

history1  = strcat('e05-base9-1-');
history2  = strcat('e05-base9-20-');
history3  = strcat('e05-base9-39-');

h1=9;
h2=12; 

fout  = strcat('histories-',history0,history1,num2str(h1),num2str(h2));
fext   = '.out';

% display parameters
lw = 3;
Font = 22;
FontN='Times New Roman';



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% history 1

hist11

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% history 2

hist12

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% history 3

hist13

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure  ('units','normalized','outerposition',[0 0 .75 1])   
%figure  ('units','normalized','outerposition',[0 .1 .6 .36])


%%%%%%
subplot(2,2,1)
hold on
grid on
box on

plot(thypp,tautpp(:,h1),'-r','LineWidth',lw);
plot(thyp,tautp(:,h1),'--b','LineWidth',lw);
plot(thy,taut(:,h1),'-.k','LineWidth',lw);
plot(thy,g(:,h1),'--k','LineWidth',lw/3);

axis tight
xlim([thy(1) thy(In-3)]);
ylim([0 .81]);
%legend('t=39','t=20','t=1','f_t','location','southeast');
%legend boxoff;
%columns(2,'t=39','t=20','t=1','f_t');
%ylabel('\tau_t, f_t');
title({'A: Labor distortions,','history of low earnings'});


%%%%%%
subplot(2,2,2)
hold on
grid on
box on

plot(thypp,tautSpp,'-r','LineWidth',lw);
plot(thyp,tautSp,'--b','LineWidth',lw);
plot(thy,tautS,'-.k','LineWidth',lw);
plot(thy,-10*ones(In,1),'--k','LineWidth',lw/3);

axis tight
xlim([thy(1) thy(In-3)]);
ylim([0 .024]);
set(gca,'YTick',0:.005:.02);
legend('t=39','t=20','t=1','f_t','location','southeast');
legend boxoff;
%ylabel('\tau^s_t');
title({'B: Savings distortions,','history of low earnings'});
%commontitle({'Distortions,','history of low earnings'});



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% the second set of three histories

history0  = 'ceslog'; 

history1  = strcat('e05-base12-1-');
history2  = strcat('e05-base12-20-');
history3  = strcat('e05-base12-39-');

h1=9;
h2=12; 



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% history 1

hist21

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% history 2

hist22

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% history 3

hist23



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(2,2,3)
hold on
grid on
box on

plot(thypp,tautpp(:,h2),'-r','LineWidth',lw);
plot(thyp,tautp(:,h2),'--b','LineWidth',lw);
plot(thy,taut(:,h2),'-.k','LineWidth',lw);
plot(thy,g(:,h2),'--k','LineWidth',lw/3);

axis tight
xlim([thy(1) thy(In-3)]);
ylim([0 .81]);
xlabel('Labor earnings, $1000s');
%ylabel('\tau_t, f_t');
title({'C: Labor distortions,','history of high earnings'});


%%%%%%
subplot(2,2,4)
hold on
grid on
box on

plot(thypp,tautSpp,'-r','LineWidth',lw);
plot(thyp,tautSp,'--b','LineWidth',lw);
plot(thy,tautS,'-.k','LineWidth',lw);

plot(thy,-1*ones(In,1),'--k','LineWidth',lw/3);

axis tight
xlim([thy(1) thy(In-3)]);
ylim([0 .024]);
set(gca,'YTick',0:.005:.02);
%legend('t=40','t=20','t=1','t=0');
%columns(2,'t=40','t=20','t=1','t=0');
xlabel('Labor earnings, $1000s');
%ylabel('\tau^s_t');
title({'D: Savings distortions,','history of high earnings'});
%commontitle({'Distortions,','history of high earnings'});



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(findall(gcf,'type','text'),'FontSize',Font,'FontName',FontN);
set(findall(gcf,'type','axes'),'FontSize',Font,'FontName',FontN);
saveas(gcf,fout,'fig')
set(gcf,'PaperPositionMode','auto');
print (gcf, '-depsc', fout);
clear all;
close all;


